#!/usr/bin/python2

import os
import unittest
import subprocess

class test_remote_register(unittest.TestCase):
    """Test case for testing NDN Remote Prefix Registration"""

    def setUp(self):
        print "\nTesting NDN remote prefix registration"
        print "*****************************"
        os.chdir("test_remote_register")
        os.system("mkdir -p logs")

    def tearDown(self):
        print "********************************"
        os.chdir("..")

    def test_remote_register(self):
        print ">>> test remote prefix registration <<<"

        ret = subprocess.call(['./remote-register-test.sh'], shell=True)

        if (ret != 0):
            self.fail(" >> TEST REMOTE REGISTER PROCEDURE FAILED")
        else:
            print ">> TEST REMOTE REGISTER PROCEDURE PASSED SUCCESSFULLY"
